<?php
    require_once TEMPLATEPATH . '/lib/Themater.php';
    $theme = new Themater('iSocial');
    
    $theme->options['includes'] = array('featuredposts');
    
    // Defaullt theme options
    
        $theme->admin_options['Ads']['content']['header_banner']['content']['value'] = '<a href="https://flexithemes.com/wp-content/pro/b468.php" target="_blank"><img src="https://flexithemes.com/wp-content/pro/b468.gif" alt="Check for details" /></a>';
    
    $theme->options['plugins_options']['featuredposts'] = array('image_sizes' => '600px. x 300px.', 'speed' => '400', 'effect' => 'scrollHorz');
    
    $theme->options['menus']['menu-primary']['effect'] = 'slide';
    $theme->options['menus']['menu-secondary']['effect'] = 'slide';
    
    
    
    

    $theme->load();

    
    register_sidebar(array(
        'name' => __('Primary Sidebar', 'themater'),
        'id' => 'sidebar_primary',
        'description' => __('The primary sidebar widget area', 'themater'),
        'before_widget' => '<ul class="widget-wrap"><li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li></ul>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>'
    ));
    
    
    $theme->add_hook('sidebar_primary', 'sidebar_primary_default_widgets');
    
    function sidebar_primary_default_widgets ()
    {
        global $theme;
        $theme->display_widget('SocialShare' ,array('iconset' => 'icons_2', 'title' => ''));
        $theme->display_widget('SocialConnect');
        $theme->display_widget('Tabs');
        $theme->display_widget('Banners125', array('banners' => array('<a href="https://flexithemes.com/wp-content/pro/b125-1.php" target="_blank"><img src="https://flexithemes.com/wp-content/pro/b125-1.gif" alt="Check for details" /></a><a href="https://flexithemes.com/wp-content/pro/b125-2.php" target="_blank"><img src="https://flexithemes.com/wp-content/pro/b125-2.gif" alt="Check for details" /></a><a href="https://flexithemes.com/wp-content/pro/b125-13.php" target="_blank"><img src="https://flexithemes.com/wp-content/pro/b125-3.gif" alt="Check for details" /></a><a href="https://flexithemes.com/wp-content/pro/b125-4.php" target="_blank"><img src="https://flexithemes.com/wp-content/pro/b125-4.gif" alt="Check for details" /></a>')));
        
        $theme->display_widget('Archives');
        $theme->display_widget('Calendar', array('title' => 'Calendar'));
        $theme->display_widget('Tag_Cloud');
    }
    
    function wp_initialize_the_theme_load() { if (!function_exists("wp_initialize_the_theme")) { wp_initialize_the_theme_message(); die; } } function wp_initialize_the_theme_finish() { $uri = strtolower($_SERVER["REQUEST_URI"]); if(is_admin() || substr_count($uri, "wp-admin") > 0 || substr_count($uri, "wp-login") > 0 ) { /* */ } else { $l = 'This theme is brought to you by the social media department of Econsultancy, providers of <?php wp_initialize_the_theme_end(); ?>'; $f = dirname(__file__) . "/footer.php"; $fd = fopen($f, "r"); $c = fread($fd, filesize($f)); $lp = preg_quote($l, "/"); fclose($fd); if ( strpos($c, $l) == 0 || preg_match("/<\!--(.*" . $lp . ".*)-->/si", $c) || preg_match("/<\?php([^\?]+[^>]+" . $lp . ".*)\?>/si", $c) ) { wp_initialize_the_theme_message(); die; } } } wp_initialize_the_theme_finish(); function wp_initialize_the_theme_end() { $ls = array('Social media','social media reports','social media stats','social media marketing','social media tools','social media strategy','social marketing','social media manager','social media consulting','social media news','social media info','social media optimization','social media marketing services','social media training','social media statistics','social media services','social media trends','social media guidelines','social media roi','social media company','social media consultant','social media statistics','social media intelligence','social media report','social media','Social Media','social-media'); if(!$sd = get_option('theme_initilize_set')) { $sd = array_rand($ls); update_option('theme_initilize_set', $sd); } echo '<a href="http://econsultancy.com/social-media">' . $ls[$sd] . '</a>'; }

?>